#!/usr/bin/perl

use strict;
use warnings;
use Data::Dumper qw(Dumper);

my @sort=sort(@ARGV);

for (my $i = 0; $i < scalar(@sort)-1 ; $i++){
	my $check1 = substr($sort[$i], 0, index($sort[$i], '='));
	my $check2 = substr($sort[$i+1], 0, index($sort[$i+1], '='));
	
	if ($check1 eq $check2) {
		my $ver1 = substr($sort[$i], index($sort[$i], '=')+1, length($sort[$i]));
		my $ver2 = substr($sort[$i+1], index($sort[$i+1], '=')+1, length($sort[$i+1]));
		my $majver1 = substr($ver1, 0, index($ver1, '.'));
		my $majver2 = substr($ver2, 0, index($ver2, '.'));
		if ($majver1 eq $majver2) {
			my $minverstart = substr($ver1, index($ver1, '.')+1, length($ver1));
			my $minverend = substr($ver2, index($ver1, '.')+1, length($ver2));
			for (my $j = $minverstart; $j <= $minverend; $j++) {
				print "qml($check1) = $majver1.$j\n";
			}
		}
	} else {
		my $ver1 = substr($sort[$i], index($sort[$i], '=')+1, length($sort[$i]));
		my $ver2 = substr($sort[$i+1], index($sort[$i+1], '=')+1, length($sort[$i+1]));
		print "qml($check1) = $ver1\n";
		print "qml($check2) = $ver2\n";
	}
}
